# Poco

# class SHA1Engine

Library: Foundation
Package: Crypt
Header: Poco/SHA1Engine.h

## Description

This class implements the SHA-1 message digest algorithm. (FIPS 180-1, see http://www.itl.nist.gov/fipspubs/fip180-1.htm)

## Inheritance

Direct Base Classes: DigestEngine

All Base Classes: DigestEngine

## Member Summary

Member Functions: digest, digestLength, reset, updateImpl

Inherited Functions: constantTimeEquals, digest, digestFromHex, digestLength, digestToHex, reset, update, updateImpl

## Enumerations

### Anonymous

BLOCK_SIZE = 64

DIGEST_SIZE = 20

## Constructors

### SHA1Engine

SHA1Engine();

## Destructor

### ~SHA1Engine

~SHA1Engine();

## Member Functions

### digest

const DigestEngine::Digest & digest();

### digestLength

std::size_t digestLength() const;

See also: Poco::DigestEngine::digestLength()

### reset

void reset();

See also: Poco::DigestEngine::reset()

### updateImpl

void updateImpl(
const void * data,
std::size_t length
);

See also: Poco::DigestEngine::updateImpl()